QGIS Application - Bug report #6534

Spatialite provider doesn't setFeatureld after adding features

2012-10-18 12:28 AM - René-Luc RelLuc

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15745
Description

During the implementation of QGIS WFS Server Transaction Request #6533, | discover that the Spatialite Provider doesn't update the

Featureld of added features.

The solution is to query the last_insert_rowid and setFeatureld

Associated revisions

Revision faf46b61 - 2012-10-18 11:07 PM - Giuseppe Sucameli

update feature id of added features (fix #6534)

History

#1 - 2012-10-18 12:33 AM - René-Luc ReLuc
- File 6534 added

#2 - 2012-10-18 02:24 AM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#3 - 2012-10-18 02:08 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"faf46b61a4654a600fb4ccd587ffbf7e2d60f2a1".

#4 - 2012-10-18 03:40 PM - Giuseppe Sucameli
- Resolution set to fixed

- Assignee set to Giuseppe Sucameli

Patch applied, thanks.

Files

6534 555 Bytes

2024-04-24

2012-10-17

René-Luc RelLuc

1/1




